## org.jboss.util
Interface Service

All Known Subinterfaces:
  AbstractWebContainerMBean, AutoDeployerMBean, AutoDeployerMBean, CachePolicy, ClientUserTransactionServiceMBean, ConnectorFactoryServiceMBean, ContainerFactoryMBean, ContainerInvoker, ContainerPlugin, CounterServiceMBean, DeployerMBean, EnterpriseContextCachePolicy, EntityCache, EntityPersistenceManager, EntityPersistenceStore, ExternalContextMBean, HypersonicDatabaseMBean, InstanceCache, InstancePool, InstantDBDatabaseMBean, Interceptor, J2eeDeployerMBean, JDBCDataSourceLoaderMBean, JdbcProviderMBean, JMSProviderLoaderMBean, JMXAdaptorServiceMBean, JNDIViewMBean, LocalContainerInvoker, MailServiceMBean, NamingAliasMBean, NamingServiceMBean, RawXADataSourceLoaderMBean, RMIConnectorServiceMBean, SchedulableExampleMBean, SchedulerMBean, ServerSessionPoolLoaderMBean, ServiceControlMBean, ServiceMBean, StatefulSessionPersistenceManager, TransactionManagerServiceMBean, TransactionManagerServiceMBean, WebServiceMBean, XADataSourceLoaderMBean

All Known Implementing Classes:
  Application

public interface Service

<description>

Version:
  $Revision: 1.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  <related>

Method Summary
`void` `destroy()`
`void` `init()`
`void` `start()`
`void` `stop()`

Method Detail

### init

    public void init()
              throws java.lang.Exception

### start

    public void start()
               throws java.lang.Exception

### stop

    public void stop()

### destroy

    public void destroy()

Copyright © 2000 The JBoss Organization. All Rights Reserved.